Skip to main content
POST
Send template message

Authorizations

X-API-Key
string
header
required

Preferred. API key value directly.

Query Parameters

channelId
string

Channel id. Auto-selects when omitted.

Example:

"ch_123"

to
string

Recipient phone or WhatsApp BSUID.

Example:

"919876543210"

templateName
string

Template name as synced for the channel.

Example:

"order_update"

languageCode
string

Template language, auto-resolved from stored template. Default en.

variables
string

Body variables as comma list, e.g. variables=John,123.

body1
string

1st body variable (alternative to variables). body2..body20 continue.

header
string

Header text variable.

mediaUrl
string

Header media URL (pair with mediaType).

mediaType
string

image | video | document.

Footer text variable.

Body

application/json
to
string
required

Recipient phone or WhatsApp BSUID.

Example:

"919876543210"

templateName
string
required

Template name as synced for the channel.

Example:

"order_update"

channelId
string

Channel id. Auto-selects when omitted.

Example:

"ch_123"

languageCode
string

Template language, auto-resolved from stored template. Default en.

variables
string

Body variables as comma list, e.g. variables=John,123.

body1
string

1st body variable (alternative to variables). body2..body20 continue.

header
string

Header text variable.

mediaUrl
string

Header media URL (pair with mediaType).

mediaType
string

image | video | document.

Footer text variable.

Response

Success. Envelope: { success:true, data, message? }.

success
boolean
required
Example:

true

data
any
message
string
pagination
object
total
number
Last modified on September 20, 2026